> ## Documentation Index
> Fetch the complete documentation index at: https://wiki.lumiweb.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Renew Quote

> What the next cycle of a static subscription costs, discount included.



## OpenAPI

````yaml /api-reference/proxy.json get /v1/proxy/subscriptions/{sub_id}/renew/quote
openapi: 3.1.0
info:
  title: Lumi Proxy API
  version: 1.1.0
  description: >-
    Публичный REST API прокси Lumi. Ключ привязан к одному аккаунту и делает то
    же, что клиент делает в боте.


    Авторизация: `Authorization: Bearer <ключ>`. Денежные запросы дополнительно
    требуют заголовок `Idempotency-Key`.
servers:
  - url: https://api.lumiweb.cc/proxy
    description: production
security:
  - bearerAuth: []
paths:
  /v1/proxy/subscriptions/{sub_id}/renew/quote:
    get:
      tags:
        - proxy
      summary: Renew Quote
      description: What the next cycle of a static subscription costs, discount included.
      operationId: renew_quote
      parameters:
        - name: sub_id
          in: path
          required: true
          schema:
            type: integer
            title: Sub Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RenewQuoteOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RenewQuoteOut:
      properties:
        subscription_id:
          type: integer
          title: Subscription Id
        category:
          type: string
          title: Category
        unit:
          type: string
          title: Unit
        quantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Quantity
        price_usd:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Price Usd
        renewable:
          type: boolean
          title: Renewable
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
      type: object
      required:
        - subscription_id
        - category
        - unit
        - renewable
      title: RenewQuoteOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Ключ вида lumi_proxy_… Выдаётся оператором.

````